Subject: RE: [Sigtran] IPSP issues

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Tue, 23 Apr 2002 12:49:52 +0200

Brian, 

No, procedures and state machines are needed to complete the specification for a protocol together with messages.

What I'm saying is that in an SS7-IP network we needed to define several kinds of communication because we would have several new kinds of nodes:
	- Frontier node
	- IP node

Then we need that
	- Frontier node talks to IP-node (done)
	- Two IP-nodes talk to each other (done but improvements needed)
	- two frontier nodes talk to each other (pending)

The first two types of communication have been already covered, the third one has to be introduced to complete the model.

Saying that in order to accomplish the communication between two IP-nodes (aka AS) we need to go through an SG in a step backwards. We have already defined a way of talking to each other and it is much more efficient.

When you implements an IP-only physical node you will just have to include into your node the procedures that you need depending on your network configuration: SG-AS communication or/and IPSP communication. You have implicitly the option of only implementing IPSP if you do not use SGs, what is perfectly valid for an all-IP network and much cheaper...

Cheers // Javier.

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Monday, April 22, 2002 7:44 PM
> To: Javier Pastor-Balbas (ECE)
> Cc: 'Tolga Asveren'; [email-masked]
> Subject: Re: [Sigtran] IPSP issues
> 
> 
> Javier,
> 
> Please see comments below...
> 
> Javier Pastor-Balbas (ECE) wrote:                          
> (Mon, 22 Apr 2002 18:44:00)
> > Well, I see this as the beginning of a long discussion...  ;-)
> > 
> > The M3UA does not define the relationship of two endpoints, 
> IMO M3UA defines:
> > 	- A protocol to transport the SS7-like signaling 
> information over IP
> > 
> > When you talk about signaling over IP you can find two 
> different scenarios:
> > 	- Communication of a traditional SS7 node with an 
> IP-based node thru a
> > 	frontier node. i.e.transition from SS7 network to IP 
> network: SG-AS
> > 	scenario
> > 	- Communication of two IP-nodes that have an SS7 user over them:
> > 	IPSP-IPSP scenarios
> > 
> > This is the beginning of the whole discussion. These were 
> the main two
> > requirements that 3G telephony networks put on the table at 
> the beginning of
> > times. I mean, there is not a need to define the nodes 
> themselves, but the
> > means to communicate them. 
> 
> So, are you saying that we wasted our time defining and specifying the
> behavior of ASPs and SGPs?
> 
> --brian
> 
> > 
> > I need to have a clear idea how to communicate two nodes 
> that are IP-based.
> > It doesn't matter how I build them. I just want to have a protocol
> > definition standardized. As you say if you put one or two 
> SG functionalities
> > inside a physical node is my problem and my internal 
> architecture election. 
> > 
> > Another way of seeing this: why don't you consider to 
> separate the SG as two
> > nodes: an SS7 node and an IP node. AFterthat you can define a common
> > protocol to communicate them and you can say that you don't 
> need to define a
> > SG but a protocol to be used between an IP node and an SS7 
> node. Each
> > implementation can elect how to implement this: one, two or 
> even three
> > separate physical nodes??
> > 
> > 
> > 
> > Cheers // Javier.
> > 
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran